function OnWarpEnter() 
	SetMarker("cs\\Warp_0035.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0026.wp" , 0 , 0)
	Music_Change = false

	---GENERAL
	StartAnimation("ana1")

	-- pommes
	if not  O_apple_025 and not Part2 then
		AnimationSetToStart("cka1",true)
		SetMarker("cka1",2,0)
	elseif not O_bucket_025  and not Part2 then
		AnimationSetToEnd("cka1",true)
		SetMarker("cka1",2,0)
	end
	
	if not O_pumpkin_025 and not Part2 then
		PutObject("cla1")
		SetMarker("cla1",2,0)
	end
	if not O_longRope_026 and not Part2 then
		PutObject("cma1")
	end

--DAY3
	if ETAT_DAY == "D3" then 
		if GIVE_KEY_MOLD then
			KEY_IMPRESSION_READY = true
		end
	end
end

function OnWarpLeave()
	if Music_Change then
		-- Musique
		Music_Change = false
		if ETAT_DAY == "D5" then
			PlayMusic("Sounds/Musiques/M_MortConstance2.ogg")
		else
			PlayMusic("Sounds/Musiques/M_DepartChateau.ogg")
		end
	end
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0035.wp" then 
		if ETAT_DAY == "D1" then
			DrawText("Ma1125","Ma1125.ogg",0) -- Demain. Pour l'instant j'ai mieux à faire.
		elseif ETAT_DAY == "D3" and not GIVE_BREAD_TO_NOSTRADAMUS then
			DrawText("Ma3509","Ma3509.ogg",0) -- J'ai des choses à voir avec mon père avant d'y aller.
		elseif ETAT_DAY == "D4" and not CAN_ENTER_QUEEN_ROOM_D4 then
			DrawText("Ma3509","Ma3509.ogg",0) -- J'ai des choses à voir avec mon père avant d'y aller.
		elseif ETAT_DAY == "D5" and not DeathTrickRevealed then
			DrawText("Ma3509","Ma3509.ogg",0) -- J'ai des choses à voir avec mon père avant d'y aller.
		else
			Music_Change = true
			ChangeWarp(objectName)
		end
	end

	if objectName == "3D\\cs\\Warp_0026.wp" then 
		ChangeWarp(objectName)
	end

	-- citrouille
	if objectName == "cla1" then
		if not O_pumpkin_025 then
			O_pumpkin_025=true
			RemoveObject(objectName)
			SetMarker(objectName,-1,0)
			AddToBag("A_courges")
		end
	end
end
